Package com.ocient.jdbc

# Class XGRegexUtils

java.lang.Object
com.ocient.jdbc.XGRegexUtils

    public class XGRegexUtils
    extends Object

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static Pattern` | `connectToSyntax` |
`static Pattern` | `describeTableSyntax` |
`static Pattern` | `describeViewSyntax` |
`static Pattern` | `listIndexesSyntax` |
`static Pattern` | `listSystemTablesSyntax` |
`static Pattern` | `listTablesSyntax` |
`static Pattern` | `listViewsSyntax` |

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`XGRegexUtils()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static Matcher` | `genericSetSyntaxMatch​(String optionName, String cmd)` |
`static String` | `getTk​(Matcher m, String name, String def)` |
`static String` | `tk​(String name)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### connectToSyntax

public static final Pattern connectToSyntax

### listTablesSyntax

public static final Pattern listTablesSyntax

### listSystemTablesSyntax

public static final Pattern listSystemTablesSyntax

### listViewsSyntax

public static final Pattern listViewsSyntax

### listIndexesSyntax

public static final Pattern listIndexesSyntax

### describeTableSyntax

public static final Pattern describeTableSyntax

### describeViewSyntax

public static final Pattern describeViewSyntax

## Constructor Details

### XGRegexUtils

public XGRegexUtils()

## Method Details

### getTk

public static String getTk​(Matcher m, String name, String def)

### tk

public static String tk​(String name)

### genericSetSyntaxMatch

public static Matcher genericSetSyntaxMatch​(String optionName, String cmd)